org.apache.ignite.internal.sql

## Class SqlStrictParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.sql.SqlParseException
          - - org.apache.ignite.internal.sql.SqlStrictParseException

All Implemented Interfaces:
  Serializable

    public class SqlStrictParseException
    extends SqlParseException

Parse exception guarantees parse error without. Such error deliver to user statement isn't passed to H2 parser.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SqlStrictParseException(SqlParseException e)` Constructor.
`SqlStrictParseException(String msg, int errCode, SqlParseException e)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `errorCode()`

### Methods inherited from class org.apache.ignite.internal.sql.SqlParseException

`code, position, sql, toString`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SqlStrictParseException

    public SqlStrictParseException(SqlParseException e)

Constructor.

Parameters:
  `e` - SQL parse exception.

#### SqlStrictParseException

    public SqlStrictParseException(String msg,
                                   int errCode,
                                   SqlParseException e)

Constructor.

Parameters:
  `e` - SQL parse exception.
  `msg` - Error message.
  `errCode` - SQL error code.

### Method Detail

#### errorCode

    public int errorCode()

Returns:
  SQL error code.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020